#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	pciutils
Version		:	3.12.0
Release		:	17.2.0.rel%{?dist}
Summary		:	PCI bus related utilities
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://www.kernel.org/pub/software/utils/pciutils

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	hwdata-devel

#-----------------------------------------------------------------------------
%description
The pciutils package contains various utilities for inspecting and
setting devices connected to the PCI bus.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_includedir}/pci
%{_sbindir}/pcilmr
%{_bindir}/lspci
%{_sbindir}/setpci
%{_libdir}/libpci*
%{_libdir}/pkgconfig/libpci.pc
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -r '/INSTALL.*(PCI_IDS|update-pciids)/d'		\
  Makefile

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}				\
	PREFIX=%{_prefix}				\
	LIBDIR=%{_libdir}				\
	SHAREDIR=%{_datadir}/hwdata			\
	SHARED=yes					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	PREFIX=%{_prefix}				\
	LIBDIR=%{_libdir}				\
	SHAREDIR=%{_datadir}/hwdata			\
	SHARED=yes					\
	install						\
	install-lib					\

%{__chmod} 0755  %{buildroot}%{_libdir}/libpci.so

#-----------------------------------------------------------------------------
%changelog
